<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.upyuns.platform.rs.website.mapper.ImageImgStorageMapper">
    <insert id="batchSave" parameterType="list">
        insert into image_img_storage (id, is_del,status)
        VALUES
        <foreach collection="list" item="emp" index="index" separator=",">
            (
            #{emp.id, jdbcType=INTEGER},
            #{emp.isDel,jdbcType=INTEGER},
            #{emp.status,jdbcType=INTEGER})
        </foreach>
        ON DUPLICATE KEY UPDATE
        is_del = values(is_del),
        status = values(status)
    </insert>

</mapper>